source: trunk/gsdl/configure@ 562

Last change on this file since 562 was 562, checked in by sjboddie, 25 years ago

added configure scripts

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 56.5 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=lib/text_t.h
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says [email protected].
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525PACKAGE=gsdl
526VERSION=0.1
527cat >> confdefs.h <<EOF
528#define PACKAGE "$PACKAGE"
529EOF
530
531cat >> confdefs.h <<EOF
532#define VERSION "$VERSION"
533EOF
534
535
536
537
538# Extract the first word of "gcc", so it can be a program name with args.
539set dummy gcc; ac_word=$2
540echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
541echo "configure:542: checking for $ac_word" >&5
542if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
543 echo $ac_n "(cached) $ac_c" 1>&6
544else
545 if test -n "$CC"; then
546 ac_cv_prog_CC="$CC" # Let the user override the test.
547else
548 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
549 ac_dummy="$PATH"
550 for ac_dir in $ac_dummy; do
551 test -z "$ac_dir" && ac_dir=.
552 if test -f $ac_dir/$ac_word; then
553 ac_cv_prog_CC="gcc"
554 break
555 fi
556 done
557 IFS="$ac_save_ifs"
558fi
559fi
560CC="$ac_cv_prog_CC"
561if test -n "$CC"; then
562 echo "$ac_t""$CC" 1>&6
563else
564 echo "$ac_t""no" 1>&6
565fi
566
567if test -z "$CC"; then
568 # Extract the first word of "cc", so it can be a program name with args.
569set dummy cc; ac_word=$2
570echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
571echo "configure:572: checking for $ac_word" >&5
572if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
573 echo $ac_n "(cached) $ac_c" 1>&6
574else
575 if test -n "$CC"; then
576 ac_cv_prog_CC="$CC" # Let the user override the test.
577else
578 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
579 ac_prog_rejected=no
580 ac_dummy="$PATH"
581 for ac_dir in $ac_dummy; do
582 test -z "$ac_dir" && ac_dir=.
583 if test -f $ac_dir/$ac_word; then
584 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
585 ac_prog_rejected=yes
586 continue
587 fi
588 ac_cv_prog_CC="cc"
589 break
590 fi
591 done
592 IFS="$ac_save_ifs"
593if test $ac_prog_rejected = yes; then
594 # We found a bogon in the path, so make sure we never use it.
595 set dummy $ac_cv_prog_CC
596 shift
597 if test $# -gt 0; then
598 # We chose a different compiler from the bogus one.
599 # However, it has the same basename, so the bogon will be chosen
600 # first if we set CC to just the basename; use the full file name.
601 shift
602 set dummy "$ac_dir/$ac_word" "$@"
603 shift
604 ac_cv_prog_CC="$@"
605 fi
606fi
607fi
608fi
609CC="$ac_cv_prog_CC"
610if test -n "$CC"; then
611 echo "$ac_t""$CC" 1>&6
612else
613 echo "$ac_t""no" 1>&6
614fi
615
616 if test -z "$CC"; then
617 case "`uname -s`" in
618 *win32* | *WIN32*)
619 # Extract the first word of "cl", so it can be a program name with args.
620set dummy cl; ac_word=$2
621echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
622echo "configure:623: checking for $ac_word" >&5
623if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
624 echo $ac_n "(cached) $ac_c" 1>&6
625else
626 if test -n "$CC"; then
627 ac_cv_prog_CC="$CC" # Let the user override the test.
628else
629 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
630 ac_dummy="$PATH"
631 for ac_dir in $ac_dummy; do
632 test -z "$ac_dir" && ac_dir=.
633 if test -f $ac_dir/$ac_word; then
634 ac_cv_prog_CC="cl"
635 break
636 fi
637 done
638 IFS="$ac_save_ifs"
639fi
640fi
641CC="$ac_cv_prog_CC"
642if test -n "$CC"; then
643 echo "$ac_t""$CC" 1>&6
644else
645 echo "$ac_t""no" 1>&6
646fi
647 ;;
648 esac
649 fi
650 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
651fi
652
653echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
654echo "configure:655: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
655
656ac_ext=c
657# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
658ac_cpp='$CPP $CPPFLAGS'
659ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
660ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
661cross_compiling=$ac_cv_prog_cc_cross
662
663cat > conftest.$ac_ext << EOF
664
665#line 666 "configure"
666#include "confdefs.h"
667
668main(){return(0);}
669EOF
670if { (eval echo configure:671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
671 ac_cv_prog_cc_works=yes
672 # If we can't run a trivial program, we are probably using a cross compiler.
673 if (./conftest; exit) 2>/dev/null; then
674 ac_cv_prog_cc_cross=no
675 else
676 ac_cv_prog_cc_cross=yes
677 fi
678else
679 echo "configure: failed program was:" >&5
680 cat conftest.$ac_ext >&5
681 ac_cv_prog_cc_works=no
682fi
683rm -fr conftest*
684ac_ext=c
685# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
686ac_cpp='$CPP $CPPFLAGS'
687ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
688ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
689cross_compiling=$ac_cv_prog_cc_cross
690
691echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
692if test $ac_cv_prog_cc_works = no; then
693 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
694fi
695echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
696echo "configure:697: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
697echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
698cross_compiling=$ac_cv_prog_cc_cross
699
700echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
701echo "configure:702: checking whether we are using GNU C" >&5
702if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
703 echo $ac_n "(cached) $ac_c" 1>&6
704else
705 cat > conftest.c <<EOF
706#ifdef __GNUC__
707 yes;
708#endif
709EOF
710if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:711: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
711 ac_cv_prog_gcc=yes
712else
713 ac_cv_prog_gcc=no
714fi
715fi
716
717echo "$ac_t""$ac_cv_prog_gcc" 1>&6
718
719if test $ac_cv_prog_gcc = yes; then
720 GCC=yes
721else
722 GCC=
723fi
724
725ac_test_CFLAGS="${CFLAGS+set}"
726ac_save_CFLAGS="$CFLAGS"
727CFLAGS=
728echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
729echo "configure:730: checking whether ${CC-cc} accepts -g" >&5
730if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
731 echo $ac_n "(cached) $ac_c" 1>&6
732else
733 echo 'void f(){}' > conftest.c
734if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
735 ac_cv_prog_cc_g=yes
736else
737 ac_cv_prog_cc_g=no
738fi
739rm -f conftest*
740
741fi
742
743echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
744if test "$ac_test_CFLAGS" = set; then
745 CFLAGS="$ac_save_CFLAGS"
746elif test $ac_cv_prog_cc_g = yes; then
747 if test "$GCC" = yes; then
748 CFLAGS="-g -O2"
749 else
750 CFLAGS="-g"
751 fi
752else
753 if test "$GCC" = yes; then
754 CFLAGS="-O2"
755 else
756 CFLAGS=
757 fi
758fi
759
760for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
761do
762# Extract the first word of "$ac_prog", so it can be a program name with args.
763set dummy $ac_prog; ac_word=$2
764echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
765echo "configure:766: checking for $ac_word" >&5
766if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
767 echo $ac_n "(cached) $ac_c" 1>&6
768else
769 if test -n "$CXX"; then
770 ac_cv_prog_CXX="$CXX" # Let the user override the test.
771else
772 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
773 ac_dummy="$PATH"
774 for ac_dir in $ac_dummy; do
775 test -z "$ac_dir" && ac_dir=.
776 if test -f $ac_dir/$ac_word; then
777 ac_cv_prog_CXX="$ac_prog"
778 break
779 fi
780 done
781 IFS="$ac_save_ifs"
782fi
783fi
784CXX="$ac_cv_prog_CXX"
785if test -n "$CXX"; then
786 echo "$ac_t""$CXX" 1>&6
787else
788 echo "$ac_t""no" 1>&6
789fi
790
791test -n "$CXX" && break
792done
793test -n "$CXX" || CXX="gcc"
794
795
796echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
797echo "configure:798: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
798
799ac_ext=C
800# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
801ac_cpp='$CXXCPP $CPPFLAGS'
802ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
803ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
804cross_compiling=$ac_cv_prog_cxx_cross
805
806cat > conftest.$ac_ext << EOF
807
808#line 809 "configure"
809#include "confdefs.h"
810
811int main(){return(0);}
812EOF
813if { (eval echo configure:814: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
814 ac_cv_prog_cxx_works=yes
815 # If we can't run a trivial program, we are probably using a cross compiler.
816 if (./conftest; exit) 2>/dev/null; then
817 ac_cv_prog_cxx_cross=no
818 else
819 ac_cv_prog_cxx_cross=yes
820 fi
821else
822 echo "configure: failed program was:" >&5
823 cat conftest.$ac_ext >&5
824 ac_cv_prog_cxx_works=no
825fi
826rm -fr conftest*
827ac_ext=c
828# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
829ac_cpp='$CPP $CPPFLAGS'
830ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
831ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
832cross_compiling=$ac_cv_prog_cc_cross
833
834echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
835if test $ac_cv_prog_cxx_works = no; then
836 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
837fi
838echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
839echo "configure:840: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
840echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
841cross_compiling=$ac_cv_prog_cxx_cross
842
843echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
844echo "configure:845: checking whether we are using GNU C++" >&5
845if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
846 echo $ac_n "(cached) $ac_c" 1>&6
847else
848 cat > conftest.C <<EOF
849#ifdef __GNUC__
850 yes;
851#endif
852EOF
853if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:854: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
854 ac_cv_prog_gxx=yes
855else
856 ac_cv_prog_gxx=no
857fi
858fi
859
860echo "$ac_t""$ac_cv_prog_gxx" 1>&6
861
862if test $ac_cv_prog_gxx = yes; then
863 GXX=yes
864else
865 GXX=
866fi
867
868ac_test_CXXFLAGS="${CXXFLAGS+set}"
869ac_save_CXXFLAGS="$CXXFLAGS"
870CXXFLAGS=
871echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
872echo "configure:873: checking whether ${CXX-g++} accepts -g" >&5
873if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
874 echo $ac_n "(cached) $ac_c" 1>&6
875else
876 echo 'void f(){}' > conftest.cc
877if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
878 ac_cv_prog_cxx_g=yes
879else
880 ac_cv_prog_cxx_g=no
881fi
882rm -f conftest*
883
884fi
885
886echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
887if test "$ac_test_CXXFLAGS" = set; then
888 CXXFLAGS="$ac_save_CXXFLAGS"
889elif test $ac_cv_prog_cxx_g = yes; then
890 if test "$GXX" = yes; then
891 CXXFLAGS="-g -O2"
892 else
893 CXXFLAGS="-g"
894 fi
895else
896 if test "$GXX" = yes; then
897 CXXFLAGS="-O2"
898 else
899 CXXFLAGS=
900 fi
901fi
902
903echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
904echo "configure:905: checking whether ln -s works" >&5
905if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
906 echo $ac_n "(cached) $ac_c" 1>&6
907else
908 rm -f conftestdata
909if ln -s X conftestdata 2>/dev/null
910then
911 rm -f conftestdata
912 ac_cv_prog_LN_S="ln -s"
913else
914 ac_cv_prog_LN_S=ln
915fi
916fi
917LN_S="$ac_cv_prog_LN_S"
918if test "$ac_cv_prog_LN_S" = "ln -s"; then
919 echo "$ac_t""yes" 1>&6
920else
921 echo "$ac_t""no" 1>&6
922fi
923
924echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
925echo "configure:926: checking whether ${MAKE-make} sets \${MAKE}" >&5
926set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
927if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
928 echo $ac_n "(cached) $ac_c" 1>&6
929else
930 cat > conftestmake <<\EOF
931all:
932 @echo 'ac_maketemp="${MAKE}"'
933EOF
934# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
935eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
936if test -n "$ac_maketemp"; then
937 eval ac_cv_prog_make_${ac_make}_set=yes
938else
939 eval ac_cv_prog_make_${ac_make}_set=no
940fi
941rm -f conftestmake
942fi
943if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
944 echo "$ac_t""yes" 1>&6
945 SET_MAKE=
946else
947 echo "$ac_t""no" 1>&6
948 SET_MAKE="MAKE=${MAKE-make}"
949fi
950
951# Extract the first word of "ranlib", so it can be a program name with args.
952set dummy ranlib; ac_word=$2
953echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
954echo "configure:955: checking for $ac_word" >&5
955if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
956 echo $ac_n "(cached) $ac_c" 1>&6
957else
958 if test -n "$RANLIB"; then
959 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
960else
961 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
962 ac_dummy="$PATH"
963 for ac_dir in $ac_dummy; do
964 test -z "$ac_dir" && ac_dir=.
965 if test -f $ac_dir/$ac_word; then
966 ac_cv_prog_RANLIB="ranlib"
967 break
968 fi
969 done
970 IFS="$ac_save_ifs"
971 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
972fi
973fi
974RANLIB="$ac_cv_prog_RANLIB"
975if test -n "$RANLIB"; then
976 echo "$ac_t""$RANLIB" 1>&6
977else
978 echo "$ac_t""no" 1>&6
979fi
980
981
982echo $ac_n "checking for main in -lg""... $ac_c" 1>&6
983echo "configure:984: checking for main in -lg" >&5
984ac_lib_var=`echo g'_'main | sed 'y%./+-%__p_%'`
985if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
986 echo $ac_n "(cached) $ac_c" 1>&6
987else
988 ac_save_LIBS="$LIBS"
989LIBS="-lg $LIBS"
990cat > conftest.$ac_ext <<EOF
991#line 992 "configure"
992#include "confdefs.h"
993
994int main() {
995main()
996; return 0; }
997EOF
998if { (eval echo configure:999: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
999 rm -rf conftest*
1000 eval "ac_cv_lib_$ac_lib_var=yes"
1001else
1002 echo "configure: failed program was:" >&5
1003 cat conftest.$ac_ext >&5
1004 rm -rf conftest*
1005 eval "ac_cv_lib_$ac_lib_var=no"
1006fi
1007rm -f conftest*
1008LIBS="$ac_save_LIBS"
1009
1010fi
1011if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1012 echo "$ac_t""yes" 1>&6
1013 ac_tr_lib=HAVE_LIB`echo g | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1014 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1015 cat >> confdefs.h <<EOF
1016#define $ac_tr_lib 1
1017EOF
1018
1019 LIBS="-lg $LIBS"
1020
1021else
1022 echo "$ac_t""no" 1>&6
1023fi
1024
1025echo $ac_n "checking for main in -lgdbm""... $ac_c" 1>&6
1026echo "configure:1027: checking for main in -lgdbm" >&5
1027ac_lib_var=`echo gdbm'_'main | sed 'y%./+-%__p_%'`
1028if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1029 echo $ac_n "(cached) $ac_c" 1>&6
1030else
1031 ac_save_LIBS="$LIBS"
1032LIBS="-lgdbm $LIBS"
1033cat > conftest.$ac_ext <<EOF
1034#line 1035 "configure"
1035#include "confdefs.h"
1036
1037int main() {
1038main()
1039; return 0; }
1040EOF
1041if { (eval echo configure:1042: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1042 rm -rf conftest*
1043 eval "ac_cv_lib_$ac_lib_var=yes"
1044else
1045 echo "configure: failed program was:" >&5
1046 cat conftest.$ac_ext >&5
1047 rm -rf conftest*
1048 eval "ac_cv_lib_$ac_lib_var=no"
1049fi
1050rm -f conftest*
1051LIBS="$ac_save_LIBS"
1052
1053fi
1054if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1055 echo "$ac_t""yes" 1>&6
1056 ac_tr_lib=HAVE_LIB`echo gdbm | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1057 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1058 cat >> confdefs.h <<EOF
1059#define $ac_tr_lib 1
1060EOF
1061
1062 LIBS="-lgdbm $LIBS"
1063
1064else
1065 echo "$ac_t""no" 1>&6
1066fi
1067
1068echo $ac_n "checking for main in -lm""... $ac_c" 1>&6
1069echo "configure:1070: checking for main in -lm" >&5
1070ac_lib_var=`echo m'_'main | sed 'y%./+-%__p_%'`
1071if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1072 echo $ac_n "(cached) $ac_c" 1>&6
1073else
1074 ac_save_LIBS="$LIBS"
1075LIBS="-lm $LIBS"
1076cat > conftest.$ac_ext <<EOF
1077#line 1078 "configure"
1078#include "confdefs.h"
1079
1080int main() {
1081main()
1082; return 0; }
1083EOF
1084if { (eval echo configure:1085: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1085 rm -rf conftest*
1086 eval "ac_cv_lib_$ac_lib_var=yes"
1087else
1088 echo "configure: failed program was:" >&5
1089 cat conftest.$ac_ext >&5
1090 rm -rf conftest*
1091 eval "ac_cv_lib_$ac_lib_var=no"
1092fi
1093rm -f conftest*
1094LIBS="$ac_save_LIBS"
1095
1096fi
1097if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1098 echo "$ac_t""yes" 1>&6
1099 ac_tr_lib=HAVE_LIB`echo m | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1100 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1101 cat >> confdefs.h <<EOF
1102#define $ac_tr_lib 1
1103EOF
1104
1105 LIBS="-lm $LIBS"
1106
1107else
1108 echo "$ac_t""no" 1>&6
1109fi
1110
1111echo $ac_n "checking for main in -lstdc""... $ac_c" 1>&6
1112echo "configure:1113: checking for main in -lstdc" >&5
1113ac_lib_var=`echo stdc'_'main | sed 'y%./+-%__p_%'`
1114if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1115 echo $ac_n "(cached) $ac_c" 1>&6
1116else
1117 ac_save_LIBS="$LIBS"
1118LIBS="-lstdc $LIBS"
1119cat > conftest.$ac_ext <<EOF
1120#line 1121 "configure"
1121#include "confdefs.h"
1122
1123int main() {
1124main()
1125; return 0; }
1126EOF
1127if { (eval echo configure:1128: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1128 rm -rf conftest*
1129 eval "ac_cv_lib_$ac_lib_var=yes"
1130else
1131 echo "configure: failed program was:" >&5
1132 cat conftest.$ac_ext >&5
1133 rm -rf conftest*
1134 eval "ac_cv_lib_$ac_lib_var=no"
1135fi
1136rm -f conftest*
1137LIBS="$ac_save_LIBS"
1138
1139fi
1140if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1141 echo "$ac_t""yes" 1>&6
1142 ac_tr_lib=HAVE_LIB`echo stdc | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1143 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1144 cat >> confdefs.h <<EOF
1145#define $ac_tr_lib 1
1146EOF
1147
1148 LIBS="-lstdc $LIBS"
1149
1150else
1151 echo "$ac_t""no" 1>&6
1152fi
1153
1154
1155echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1156echo "configure:1157: checking how to run the C preprocessor" >&5
1157# On Suns, sometimes $CPP names a directory.
1158if test -n "$CPP" && test -d "$CPP"; then
1159 CPP=
1160fi
1161if test -z "$CPP"; then
1162if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1163 echo $ac_n "(cached) $ac_c" 1>&6
1164else
1165 # This must be in double quotes, not single quotes, because CPP may get
1166 # substituted into the Makefile and "${CC-cc}" will confuse make.
1167 CPP="${CC-cc} -E"
1168 # On the NeXT, cc -E runs the code through the compiler's parser,
1169 # not just through cpp.
1170 cat > conftest.$ac_ext <<EOF
1171#line 1172 "configure"
1172#include "confdefs.h"
1173#include <assert.h>
1174Syntax Error
1175EOF
1176ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1177{ (eval echo configure:1178: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1178ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1179if test -z "$ac_err"; then
1180 :
1181else
1182 echo "$ac_err" >&5
1183 echo "configure: failed program was:" >&5
1184 cat conftest.$ac_ext >&5
1185 rm -rf conftest*
1186 CPP="${CC-cc} -E -traditional-cpp"
1187 cat > conftest.$ac_ext <<EOF
1188#line 1189 "configure"
1189#include "confdefs.h"
1190#include <assert.h>
1191Syntax Error
1192EOF
1193ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1194{ (eval echo configure:1195: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1195ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1196if test -z "$ac_err"; then
1197 :
1198else
1199 echo "$ac_err" >&5
1200 echo "configure: failed program was:" >&5
1201 cat conftest.$ac_ext >&5
1202 rm -rf conftest*
1203 CPP="${CC-cc} -nologo -E"
1204 cat > conftest.$ac_ext <<EOF
1205#line 1206 "configure"
1206#include "confdefs.h"
1207#include <assert.h>
1208Syntax Error
1209EOF
1210ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1211{ (eval echo configure:1212: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1212ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1213if test -z "$ac_err"; then
1214 :
1215else
1216 echo "$ac_err" >&5
1217 echo "configure: failed program was:" >&5
1218 cat conftest.$ac_ext >&5
1219 rm -rf conftest*
1220 CPP=/lib/cpp
1221fi
1222rm -f conftest*
1223fi
1224rm -f conftest*
1225fi
1226rm -f conftest*
1227 ac_cv_prog_CPP="$CPP"
1228fi
1229 CPP="$ac_cv_prog_CPP"
1230else
1231 ac_cv_prog_CPP="$CPP"
1232fi
1233echo "$ac_t""$CPP" 1>&6
1234
1235echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1236echo "configure:1237: checking for ANSI C header files" >&5
1237if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1238 echo $ac_n "(cached) $ac_c" 1>&6
1239else
1240 cat > conftest.$ac_ext <<EOF
1241#line 1242 "configure"
1242#include "confdefs.h"
1243#include <stdlib.h>
1244#include <stdarg.h>
1245#include <string.h>
1246#include <float.h>
1247EOF
1248ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1249{ (eval echo configure:1250: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1250ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1251if test -z "$ac_err"; then
1252 rm -rf conftest*
1253 ac_cv_header_stdc=yes
1254else
1255 echo "$ac_err" >&5
1256 echo "configure: failed program was:" >&5
1257 cat conftest.$ac_ext >&5
1258 rm -rf conftest*
1259 ac_cv_header_stdc=no
1260fi
1261rm -f conftest*
1262
1263if test $ac_cv_header_stdc = yes; then
1264 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1265cat > conftest.$ac_ext <<EOF
1266#line 1267 "configure"
1267#include "confdefs.h"
1268#include <string.h>
1269EOF
1270if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1271 egrep "memchr" >/dev/null 2>&1; then
1272 :
1273else
1274 rm -rf conftest*
1275 ac_cv_header_stdc=no
1276fi
1277rm -f conftest*
1278
1279fi
1280
1281if test $ac_cv_header_stdc = yes; then
1282 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1283cat > conftest.$ac_ext <<EOF
1284#line 1285 "configure"
1285#include "confdefs.h"
1286#include <stdlib.h>
1287EOF
1288if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1289 egrep "free" >/dev/null 2>&1; then
1290 :
1291else
1292 rm -rf conftest*
1293 ac_cv_header_stdc=no
1294fi
1295rm -f conftest*
1296
1297fi
1298
1299if test $ac_cv_header_stdc = yes; then
1300 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1301if test "$cross_compiling" = yes; then
1302 :
1303else
1304 cat > conftest.$ac_ext <<EOF
1305#line 1306 "configure"
1306#include "confdefs.h"
1307#include <ctype.h>
1308#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1309#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1310#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1311int main () { int i; for (i = 0; i < 256; i++)
1312if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1313exit (0); }
1314
1315EOF
1316if { (eval echo configure:1317: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1317then
1318 :
1319else
1320 echo "configure: failed program was:" >&5
1321 cat conftest.$ac_ext >&5
1322 rm -fr conftest*
1323 ac_cv_header_stdc=no
1324fi
1325rm -fr conftest*
1326fi
1327
1328fi
1329fi
1330
1331echo "$ac_t""$ac_cv_header_stdc" 1>&6
1332if test $ac_cv_header_stdc = yes; then
1333 cat >> confdefs.h <<\EOF
1334#define STDC_HEADERS 1
1335EOF
1336
1337fi
1338
1339for ac_hdr in fcntl.h
1340do
1341ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1342echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1343echo "configure:1344: checking for $ac_hdr" >&5
1344if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1345 echo $ac_n "(cached) $ac_c" 1>&6
1346else
1347 cat > conftest.$ac_ext <<EOF
1348#line 1349 "configure"
1349#include "confdefs.h"
1350#include <$ac_hdr>
1351EOF
1352ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1353{ (eval echo configure:1354: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1354ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1355if test -z "$ac_err"; then
1356 rm -rf conftest*
1357 eval "ac_cv_header_$ac_safe=yes"
1358else
1359 echo "$ac_err" >&5
1360 echo "configure: failed program was:" >&5
1361 cat conftest.$ac_ext >&5
1362 rm -rf conftest*
1363 eval "ac_cv_header_$ac_safe=no"
1364fi
1365rm -f conftest*
1366fi
1367if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1368 echo "$ac_t""yes" 1>&6
1369 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1370 cat >> confdefs.h <<EOF
1371#define $ac_tr_hdr 1
1372EOF
1373
1374else
1375 echo "$ac_t""no" 1>&6
1376fi
1377done
1378
1379
1380echo $ac_n "checking for working const""... $ac_c" 1>&6
1381echo "configure:1382: checking for working const" >&5
1382if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1383 echo $ac_n "(cached) $ac_c" 1>&6
1384else
1385 cat > conftest.$ac_ext <<EOF
1386#line 1387 "configure"
1387#include "confdefs.h"
1388
1389int main() {
1390
1391/* Ultrix mips cc rejects this. */
1392typedef int charset[2]; const charset x;
1393/* SunOS 4.1.1 cc rejects this. */
1394char const *const *ccp;
1395char **p;
1396/* NEC SVR4.0.2 mips cc rejects this. */
1397struct point {int x, y;};
1398static struct point const zero = {0,0};
1399/* AIX XL C 1.02.0.0 rejects this.
1400 It does not let you subtract one const X* pointer from another in an arm
1401 of an if-expression whose if-part is not a constant expression */
1402const char *g = "string";
1403ccp = &g + (g ? g-g : 0);
1404/* HPUX 7.0 cc rejects these. */
1405++ccp;
1406p = (char**) ccp;
1407ccp = (char const *const *) p;
1408{ /* SCO 3.2v4 cc rejects this. */
1409 char *t;
1410 char const *s = 0 ? (char *) 0 : (char const *) 0;
1411
1412 *t++ = 0;
1413}
1414{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1415 int x[] = {25, 17};
1416 const int *foo = &x[0];
1417 ++foo;
1418}
1419{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1420 typedef const int *iptr;
1421 iptr p = 0;
1422 ++p;
1423}
1424{ /* AIX XL C 1.02.0.0 rejects this saying
1425 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1426 struct s { int j; const int *ap[3]; };
1427 struct s *b; b->j = 5;
1428}
1429{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1430 const int foo = 10;
1431}
1432
1433; return 0; }
1434EOF
1435if { (eval echo configure:1436: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1436 rm -rf conftest*
1437 ac_cv_c_const=yes
1438else
1439 echo "configure: failed program was:" >&5
1440 cat conftest.$ac_ext >&5
1441 rm -rf conftest*
1442 ac_cv_c_const=no
1443fi
1444rm -f conftest*
1445fi
1446
1447echo "$ac_t""$ac_cv_c_const" 1>&6
1448if test $ac_cv_c_const = no; then
1449 cat >> confdefs.h <<\EOF
1450#define const
1451EOF
1452
1453fi
1454
1455echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1456echo "configure:1457: checking whether time.h and sys/time.h may both be included" >&5
1457if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1458 echo $ac_n "(cached) $ac_c" 1>&6
1459else
1460 cat > conftest.$ac_ext <<EOF
1461#line 1462 "configure"
1462#include "confdefs.h"
1463#include <sys/types.h>
1464#include <sys/time.h>
1465#include <time.h>
1466int main() {
1467struct tm *tp;
1468; return 0; }
1469EOF
1470if { (eval echo configure:1471: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1471 rm -rf conftest*
1472 ac_cv_header_time=yes
1473else
1474 echo "configure: failed program was:" >&5
1475 cat conftest.$ac_ext >&5
1476 rm -rf conftest*
1477 ac_cv_header_time=no
1478fi
1479rm -f conftest*
1480fi
1481
1482echo "$ac_t""$ac_cv_header_time" 1>&6
1483if test $ac_cv_header_time = yes; then
1484 cat >> confdefs.h <<\EOF
1485#define TIME_WITH_SYS_TIME 1
1486EOF
1487
1488fi
1489
1490
1491
1492ac_ext=C
1493# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1494ac_cpp='$CXXCPP $CPPFLAGS'
1495ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1496ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1497cross_compiling=$ac_cv_prog_cxx_cross
1498
1499success=no
1500echo $ac_n "checking "whether STL library has known faults"""... $ac_c" 1>&6
1501echo "configure:1502: checking "whether STL library has known faults"" >&5
1502
1503cat > conftest.$ac_ext <<EOF
1504#line 1505 "configure"
1505#include "confdefs.h"
1506#include <vector>
1507
1508int main() {
1509
1510; return 0; }
1511EOF
1512if { (eval echo configure:1513: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1513 rm -rf conftest*
1514 success=yes
1515else
1516 echo "configure: failed program was:" >&5
1517 cat conftest.$ac_ext >&5
1518fi
1519rm -f conftest*
1520
1521if test $success = "no"; then
1522cat > conftest.$ac_ext <<EOF
1523#line 1524 "configure"
1524#include "confdefs.h"
1525#include <vector.h>
1526
1527int main() {
1528
1529; return 0; }
1530EOF
1531if { (eval echo configure:1532: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1532 rm -rf conftest*
1533 success="yes"
1534else
1535 echo "configure: failed program was:" >&5
1536 cat conftest.$ac_ext >&5
1537fi
1538rm -f conftest*
1539fi
1540
1541if test $success = "no"; then
1542cat > conftest.$ac_ext <<EOF
1543#line 1544 "configure"
1544#include "confdefs.h"
1545#include <ospace\\std\\vector>
1546
1547int main() {
1548
1549; return 0; }
1550EOF
1551if { (eval echo configure:1552: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1552 rm -rf conftest*
1553 success="yes"
1554else
1555 echo "configure: failed program was:" >&5
1556 cat conftest.$ac_ext >&5
1557fi
1558rm -f conftest*
1559fi
1560
1561if test $success = yes; then
1562echo "$ac_t"""no"" 1>&6
1563else
1564echo "$ac_t"""yes"" 1>&6
1565{ echo "configure: error: "STL Broken - new not found in vector header file"" 1>&2; exit 1; }
1566fi
1567
1568gsdlos=`uname | tr A-Z a-z`
1569
1570
1571echo $ac_n "checking for vprintf""... $ac_c" 1>&6
1572echo "configure:1573: checking for vprintf" >&5
1573if eval "test \"`echo '$''{'ac_cv_func_vprintf'+set}'`\" = set"; then
1574 echo $ac_n "(cached) $ac_c" 1>&6
1575else
1576 cat > conftest.$ac_ext <<EOF
1577#line 1578 "configure"
1578#include "confdefs.h"
1579/* System header to define __stub macros and hopefully few prototypes,
1580 which can conflict with char vprintf(); below. */
1581#include <assert.h>
1582/* Override any gcc2 internal prototype to avoid an error. */
1583#ifdef __cplusplus
1584extern "C"
1585#endif
1586/* We use char because int might match the return type of a gcc2
1587 builtin and then its argument prototype would still apply. */
1588char vprintf();
1589
1590int main() {
1591
1592/* The GNU C library defines this for functions which it implements
1593 to always fail with ENOSYS. Some functions are actually named
1594 something starting with __ and the normal name is an alias. */
1595#if defined (__stub_vprintf) || defined (__stub___vprintf)
1596choke me
1597#else
1598vprintf();
1599#endif
1600
1601; return 0; }
1602EOF
1603if { (eval echo configure:1604: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1604 rm -rf conftest*
1605 eval "ac_cv_func_vprintf=yes"
1606else
1607 echo "configure: failed program was:" >&5
1608 cat conftest.$ac_ext >&5
1609 rm -rf conftest*
1610 eval "ac_cv_func_vprintf=no"
1611fi
1612rm -f conftest*
1613fi
1614
1615if eval "test \"`echo '$ac_cv_func_'vprintf`\" = yes"; then
1616 echo "$ac_t""yes" 1>&6
1617 cat >> confdefs.h <<\EOF
1618#define HAVE_VPRINTF 1
1619EOF
1620
1621else
1622 echo "$ac_t""no" 1>&6
1623fi
1624
1625if test "$ac_cv_func_vprintf" != yes; then
1626echo $ac_n "checking for _doprnt""... $ac_c" 1>&6
1627echo "configure:1628: checking for _doprnt" >&5
1628if eval "test \"`echo '$''{'ac_cv_func__doprnt'+set}'`\" = set"; then
1629 echo $ac_n "(cached) $ac_c" 1>&6
1630else
1631 cat > conftest.$ac_ext <<EOF
1632#line 1633 "configure"
1633#include "confdefs.h"
1634/* System header to define __stub macros and hopefully few prototypes,
1635 which can conflict with char _doprnt(); below. */
1636#include <assert.h>
1637/* Override any gcc2 internal prototype to avoid an error. */
1638#ifdef __cplusplus
1639extern "C"
1640#endif
1641/* We use char because int might match the return type of a gcc2
1642 builtin and then its argument prototype would still apply. */
1643char _doprnt();
1644
1645int main() {
1646
1647/* The GNU C library defines this for functions which it implements
1648 to always fail with ENOSYS. Some functions are actually named
1649 something starting with __ and the normal name is an alias. */
1650#if defined (__stub__doprnt) || defined (__stub____doprnt)
1651choke me
1652#else
1653_doprnt();
1654#endif
1655
1656; return 0; }
1657EOF
1658if { (eval echo configure:1659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1659 rm -rf conftest*
1660 eval "ac_cv_func__doprnt=yes"
1661else
1662 echo "configure: failed program was:" >&5
1663 cat conftest.$ac_ext >&5
1664 rm -rf conftest*
1665 eval "ac_cv_func__doprnt=no"
1666fi
1667rm -f conftest*
1668fi
1669
1670if eval "test \"`echo '$ac_cv_func_'_doprnt`\" = yes"; then
1671 echo "$ac_t""yes" 1>&6
1672 cat >> confdefs.h <<\EOF
1673#define HAVE_DOPRNT 1
1674EOF
1675
1676else
1677 echo "$ac_t""no" 1>&6
1678fi
1679
1680fi
1681
1682
1683trap '' 1 2 15
1684cat > confcache <<\EOF
1685# This file is a shell script that caches the results of configure
1686# tests run on this system so they can be shared between configure
1687# scripts and configure runs. It is not useful on other systems.
1688# If it contains results you don't want to keep, you may remove or edit it.
1689#
1690# By default, configure uses ./config.cache as the cache file,
1691# creating it if it does not exist already. You can give configure
1692# the --cache-file=FILE option to use a different cache file; that is
1693# what configure does when it calls configure scripts in
1694# subdirectories, so they share the cache.
1695# Giving --cache-file=/dev/null disables caching, for debugging configure.
1696# config.status only pays attention to the cache file if you give it the
1697# --recheck option to rerun configure.
1698#
1699EOF
1700# The following way of writing the cache mishandles newlines in values,
1701# but we know of no workaround that is simple, portable, and efficient.
1702# So, don't put newlines in cache variables' values.
1703# Ultrix sh set writes to stderr and can't be redirected directly,
1704# and sets the high bit in the cache file unless we assign to the vars.
1705(set) 2>&1 |
1706 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1707 *ac_space=\ *)
1708 # `set' does not quote correctly, so add quotes (double-quote substitution
1709 # turns \\\\ into \\, and sed turns \\ into \).
1710 sed -n \
1711 -e "s/'/'\\\\''/g" \
1712 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1713 ;;
1714 *)
1715 # `set' quotes correctly as required by POSIX, so do not add quotes.
1716 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1717 ;;
1718 esac >> confcache
1719if cmp -s $cache_file confcache; then
1720 :
1721else
1722 if test -w $cache_file; then
1723 echo "updating cache $cache_file"
1724 cat confcache > $cache_file
1725 else
1726 echo "not updating unwritable cache $cache_file"
1727 fi
1728fi
1729rm -f confcache
1730
1731trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1732
1733test "x$prefix" = xNONE && prefix=$ac_default_prefix
1734# Let make expand exec_prefix.
1735test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1736
1737# Any assignment to VPATH causes Sun make to only execute
1738# the first set of double-colon rules, so remove it if not needed.
1739# If there is a colon in the path, we need to keep it.
1740if test "x$srcdir" = x.; then
1741 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1742fi
1743
1744trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1745
1746# Transform confdefs.h into DEFS.
1747# Protect against shell expansion while executing Makefile rules.
1748# Protect against Makefile macro expansion.
1749cat > conftest.defs <<\EOF
1750s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1751s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1752s%\[%\\&%g
1753s%\]%\\&%g
1754s%\$%$$%g
1755EOF
1756DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1757rm -f conftest.defs
1758
1759
1760# Without the "./", some shells look in PATH for config.status.
1761: ${CONFIG_STATUS=./config.status}
1762
1763echo creating $CONFIG_STATUS
1764rm -f $CONFIG_STATUS
1765cat > $CONFIG_STATUS <<EOF
1766#! /bin/sh
1767# Generated automatically by configure.
1768# Run this file to recreate the current configuration.
1769# This directory was configured as follows,
1770# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1771#
1772# $0 $ac_configure_args
1773#
1774# Compiler output produced by configure, useful for debugging
1775# configure, is in ./config.log if it exists.
1776
1777ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1778for ac_option
1779do
1780 case "\$ac_option" in
1781 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1782 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1783 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1784 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1785 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1786 exit 0 ;;
1787 -help | --help | --hel | --he | --h)
1788 echo "\$ac_cs_usage"; exit 0 ;;
1789 *) echo "\$ac_cs_usage"; exit 1 ;;
1790 esac
1791done
1792
1793ac_given_srcdir=$srcdir
1794
1795trap 'rm -fr `echo "src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1796EOF
1797cat >> $CONFIG_STATUS <<EOF
1798
1799# Protect against being on the right side of a sed subst in config.status.
1800sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1801 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1802$ac_vpsub
1803$extrasub
1804s%@SHELL@%$SHELL%g
1805s%@CFLAGS@%$CFLAGS%g
1806s%@CPPFLAGS@%$CPPFLAGS%g
1807s%@CXXFLAGS@%$CXXFLAGS%g
1808s%@FFLAGS@%$FFLAGS%g
1809s%@DEFS@%$DEFS%g
1810s%@LDFLAGS@%$LDFLAGS%g
1811s%@LIBS@%$LIBS%g
1812s%@exec_prefix@%$exec_prefix%g
1813s%@prefix@%$prefix%g
1814s%@program_transform_name@%$program_transform_name%g
1815s%@bindir@%$bindir%g
1816s%@sbindir@%$sbindir%g
1817s%@libexecdir@%$libexecdir%g
1818s%@datadir@%$datadir%g
1819s%@sysconfdir@%$sysconfdir%g
1820s%@sharedstatedir@%$sharedstatedir%g
1821s%@localstatedir@%$localstatedir%g
1822s%@libdir@%$libdir%g
1823s%@includedir@%$includedir%g
1824s%@oldincludedir@%$oldincludedir%g
1825s%@infodir@%$infodir%g
1826s%@mandir@%$mandir%g
1827s%@PACKAGE@%$PACKAGE%g
1828s%@VERSION@%$VERSION%g
1829s%@CC@%$CC%g
1830s%@CXX@%$CXX%g
1831s%@LN_S@%$LN_S%g
1832s%@SET_MAKE@%$SET_MAKE%g
1833s%@RANLIB@%$RANLIB%g
1834s%@CPP@%$CPP%g
1835s%@gsdlos@%$gsdlos%g
1836
1837CEOF
1838EOF
1839
1840cat >> $CONFIG_STATUS <<\EOF
1841
1842# Split the substitutions into bite-sized pieces for seds with
1843# small command number limits, like on Digital OSF/1 and HP-UX.
1844ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1845ac_file=1 # Number of current file.
1846ac_beg=1 # First line for current file.
1847ac_end=$ac_max_sed_cmds # Line after last line for current file.
1848ac_more_lines=:
1849ac_sed_cmds=""
1850while $ac_more_lines; do
1851 if test $ac_beg -gt 1; then
1852 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1853 else
1854 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1855 fi
1856 if test ! -s conftest.s$ac_file; then
1857 ac_more_lines=false
1858 rm -f conftest.s$ac_file
1859 else
1860 if test -z "$ac_sed_cmds"; then
1861 ac_sed_cmds="sed -f conftest.s$ac_file"
1862 else
1863 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1864 fi
1865 ac_file=`expr $ac_file + 1`
1866 ac_beg=$ac_end
1867 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1868 fi
1869done
1870if test -z "$ac_sed_cmds"; then
1871 ac_sed_cmds=cat
1872fi
1873EOF
1874
1875cat >> $CONFIG_STATUS <<EOF
1876
1877CONFIG_FILES=\${CONFIG_FILES-"src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile"}
1878EOF
1879cat >> $CONFIG_STATUS <<\EOF
1880for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1881 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1882 case "$ac_file" in
1883 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1884 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1885 *) ac_file_in="${ac_file}.in" ;;
1886 esac
1887
1888 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1889
1890 # Remove last slash and all that follows it. Not all systems have dirname.
1891 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1892 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1893 # The file is in a subdirectory.
1894 test ! -d "$ac_dir" && mkdir "$ac_dir"
1895 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1896 # A "../" for each directory in $ac_dir_suffix.
1897 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1898 else
1899 ac_dir_suffix= ac_dots=
1900 fi
1901
1902 case "$ac_given_srcdir" in
1903 .) srcdir=.
1904 if test -z "$ac_dots"; then top_srcdir=.
1905 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1906 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1907 *) # Relative path.
1908 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1909 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1910 esac
1911
1912
1913 echo creating "$ac_file"
1914 rm -f "$ac_file"
1915 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1916 case "$ac_file" in
1917 *Makefile*) ac_comsub="1i\\
1918# $configure_input" ;;
1919 *) ac_comsub= ;;
1920 esac
1921
1922 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1923 sed -e "$ac_comsub
1924s%@configure_input@%$configure_input%g
1925s%@srcdir@%$srcdir%g
1926s%@top_srcdir@%$top_srcdir%g
1927" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1928fi; done
1929rm -f conftest.s*
1930
1931EOF
1932cat >> $CONFIG_STATUS <<EOF
1933
1934EOF
1935cat >> $CONFIG_STATUS <<\EOF
1936
1937exit 0
1938EOF
1939chmod +x $CONFIG_STATUS
1940rm -fr confdefs* $ac_clean_files
1941test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1942
1943
1944
1945
1946
Note: See TracBrowser for help on using the repository browser.